<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::contextManager::ContextManager Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager.html">contextManager</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::contextManager::ContextManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_context_manager_8h_source.html">ContextManager.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::contextManager::ContextManager:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1context_manager_1_1_context_manager_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1context_manager_1_1_context_manager_inherit__map" id="alexa_client_s_d_k_1_1context_manager_1_1_context_manager_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_manager_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::ContextManager\lInterface" alt="" coords="7,5,221,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::contextManager::ContextManager:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1context_manager_1_1_context_manager_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1context_manager_1_1_context_manager_coll__map" id="alexa_client_s_d_k_1_1context_manager_1_1_context_manager_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_manager_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::ContextManager\lInterface" alt="" coords="7,5,221,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0bcd84726259d11b954147ffaaf23d21"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html#a0bcd84726259d11b954147ffaaf23d21">~ContextManager</a> () override</td></tr>
<tr class="memdesc:a0bcd84726259d11b954147ffaaf23d21"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a0bcd84726259d11b954147ffaaf23d21">More...</a><br /></td></tr>
<tr class="separator:a0bcd84726259d11b954147ffaaf23d21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e2f8a00f8c548b8ab661fb5a876ef46"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html#a6e2f8a00f8c548b8ab661fb5a876ef46">setStateProvider</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> &amp;stateProviderName, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_state_provider_interface.html">avsCommon::sdkInterfaces::StateProviderInterface</a> &gt; stateProvider) override</td></tr>
<tr class="separator:a6e2f8a00f8c548b8ab661fb5a876ef46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa95cbfc4b7ba09a05b242af788fc1692"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a10a3cb8dea046c68b6cd5b82c0bedbdb">avsCommon::sdkInterfaces::SetStateResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html#aa95cbfc4b7ba09a05b242af788fc1692">setState</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> &amp;stateProviderName, const std::string &amp;jsonState, const <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6dceaef43ef22e8f83382c0072f0cd7c">avsCommon::avs::StateRefreshPolicy</a> &amp;refreshPolicy, const unsigned int stateRequestToken=0) override</td></tr>
<tr class="separator:aa95cbfc4b7ba09a05b242af788fc1692"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbca3d2b995a1a22f1876012ce7d30b2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html#adbca3d2b995a1a22f1876012ce7d30b2">getContext</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface.html">avsCommon::sdkInterfaces::ContextRequesterInterface</a> &gt; contextRequester) override</td></tr>
<tr class="separator:adbca3d2b995a1a22f1876012ce7d30b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_manager_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_manager_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_manager_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::ContextManagerInterface</a></td></tr>
<tr class="memitem:a3ede58328f4e906456194eeb4f3addce inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_manager_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_manager_interface.html#a3ede58328f4e906456194eeb4f3addce">~ContextManagerInterface</a> ()=default</td></tr>
<tr class="separator:a3ede58328f4e906456194eeb4f3addce inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_manager_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5030ea1bc4ae86dffc6b9316d37f446c inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_manager_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_manager_interface.html#a5030ea1bc4ae86dffc6b9316d37f446c">setStateProvider</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avs::NamespaceAndName</a> &amp;namespaceAndName, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_state_provider_interface.html">StateProviderInterface</a> &gt; stateProvider)=0</td></tr>
<tr class="separator:a5030ea1bc4ae86dffc6b9316d37f446c inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_manager_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa82b99382e47e65b06e55fe6e9cd522a inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_manager_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_manager_interface.html#aa82b99382e47e65b06e55fe6e9cd522a">getContext</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface.html">ContextRequesterInterface</a> &gt; contextRequester)=0</td></tr>
<tr class="separator:aa82b99382e47e65b06e55fe6e9cd522a inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_manager_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a1a671e2a16da302721a67de7706f32a7"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html#a1a671e2a16da302721a67de7706f32a7">create</a> ()</td></tr>
<tr class="separator:a1a671e2a16da302721a67de7706f32a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Class manages the requests for getting context from <code>ContextRequesters</code> and updating the state from <code>StateProviders</code>. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a0bcd84726259d11b954147ffaaf23d21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bcd84726259d11b954147ffaaf23d21">&#9670;&nbsp;</a></span>~ContextManager()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::contextManager::ContextManager::~ContextManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a1a671e2a16da302721a67de7706f32a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a671e2a16da302721a67de7706f32a7">&#9670;&nbsp;</a></span>create()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a> &gt; alexaClientSDK::contextManager::ContextManager::create </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Create a new <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code> instance.</p>
<dl class="section return"><dt>Returns</dt><dd>Returns a new <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code>. </dd></dl>

</div>
</div>
<a id="adbca3d2b995a1a22f1876012ce7d30b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbca3d2b995a1a22f1876012ce7d30b2">&#9670;&nbsp;</a></span>getContext()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::contextManager::ContextManager::getContext </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface.html">avsCommon::sdkInterfaces::ContextRequesterInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>contextRequester</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa95cbfc4b7ba09a05b242af788fc1692"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa95cbfc4b7ba09a05b242af788fc1692">&#9670;&nbsp;</a></span>setState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a10a3cb8dea046c68b6cd5b82c0bedbdb">SetStateResult</a> alexaClientSDK::contextManager::ContextManager::setState </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> &amp;&#160;</td>
          <td class="paramname"><em>namespaceAndName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>jsonState</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6dceaef43ef22e8f83382c0072f0cd7c">avsCommon::avs::StateRefreshPolicy</a> &amp;&#160;</td>
          <td class="paramname"><em>refreshPolicy</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>stateRequestToken</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Sets the state information. The refresh policy indicates to the <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code> whether on a <code>getContext</code> request the state needs to be updated. If the <code>refreshPolicy</code> is <code>ALWAYS</code>, then the <code>StateProviderInterface</code> needs to be registered with the <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code>, else <code>setState</code> returns an error.</p>
<p class="">For the states for which the refresh policy is <code>ALWAYS</code>, the <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code> requests for <code>provideStates</code> from the <code>StateProviderInterfaces</code>. When a <code>provideState</code> request is sent to a <code>StateProviderInterface</code>, the <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code> will provide a <code>stateRequestToken</code>. The same token needs to be sent on a <code>setState</code> in response to the <code>provideState</code>. If the token sent in the <code>setState</code> request does not match the token in the <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code>, <code>setState</code> will return an error.</p>
<dl class="section note"><dt>Note</dt><dd>Token needs to be set only if the <code>setState</code> is in response to a <code>provideState</code> request. Setting the token to 0 is equivalent to no token.</dd></dl>
<p>The <code>jsonState</code> is the json value that is associated with the key "payload".</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">namespaceAndName</td><td>The namespace and name of the <code>StateProviderInterface</code> whose state is being updated. </td></tr>
    <tr><td class="paramname">jsonState</td><td>The state of the <code>StateProviderInterface</code>. The <code>StateProviderInterface</code> with a <code>refreshPolicy</code> of SOMETIMES can pass in an empty string to indicate no contexts needs to be sent by the provider. </td></tr>
    <tr><td class="paramname">refreshPolicy</td><td>The refresh policy for the state. </td></tr>
    <tr><td class="paramname">stateRequestToken</td><td>The token that was provided in a <code>provideState</code> request. Defaults to 0.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The status of the setState operation. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_manager_interface.html#af0352bd7b5f2b12bb6fc9dc46930a0b8">alexaClientSDK::avsCommon::sdkInterfaces::ContextManagerInterface</a>.</p>

</div>
</div>
<a id="a6e2f8a00f8c548b8ab661fb5a876ef46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e2f8a00f8c548b8ab661fb5a876ef46">&#9670;&nbsp;</a></span>setStateProvider()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::contextManager::ContextManager::setStateProvider </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> &amp;&#160;</td>
          <td class="paramname"><em>stateProviderName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_state_provider_interface.html">avsCommon::sdkInterfaces::StateProviderInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>stateProvider</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/ContextManager/include/ContextManager/<a class="el" href="_context_manager_8h_source.html">ContextManager.h</a></li>
<li>/workplace/avs-device-sdk/ContextManager/src/<a class="el" href="_context_manager_8cpp.html">ContextManager.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
